Evaluate Filtered Rules

post

/v1/uwaas/rules/evaluate

Evaluate a data payload against all active rules filtered by scope and tags.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : T_RecordStringAny
Type: object
Additional Properties Allowed: true
Construct a type with a set of arbitrary properties with any type
Nested Schema : Tags
Type: array
Show Source
Example:
[
    "jurisdiction:us"
]
Nested Schema : Targets
Type: object
Show Source
Nested Schema : assetIds
Type: array
Show Source
Nested Schema : instanceIds
Type: array
Show Source
Example:
[
    "instance-1"
]
Nested Schema : orgIds
Type: array
Show Source
Example:
[
    "red_bank",
    "green_bank"
]
Nested Schema : walletIds
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : EvaluationOverallResult
Type: object
Show Source
Nested Schema : responses
Type: array
Show Source
Nested Schema : EvaluationResponse
Type: object
Show Source
Nested Schema : T_RecordStringAny
Type: object
Additional Properties Allowed: true
Construct a type with a set of arbitrary properties with any type

500 Response

Internal server error
Back to Top